#
# spec file for package python-nose-timer
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-nose-timer
Version:        0.7.2
Release:        lp151.2.1
Summary:        A timer plugin for nosetests
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/mahmoudimus/nose-timer
Source:         https://files.pythonhosted.org/packages/source/n/nose-timer/nose-timer-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module nose}
# /SECTION
Requires:       python-nose
BuildArch:      noarch
%python_subpackages

%description
A timer plugin for nosetests that answers the question:
how much time does every test take?

%prep
%setup -q -n nose-timer-%{version}
rm -rf nose_timer.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May 23 2018 toddrme2178@gmail.com
- Update to version 0.7.2
  * Remove depenedency on termcolor
  * Fix ZeroDivisionError
- Update to version 0.7.1
  * Drop ordereddict requirement
- Remove upstream-included remove_unnecessary_requirement.patch
- Spec file cleanups
* Wed Jul  5 2017 aloisio@gmx.com
- Initial package (0.7.0)
